//
//  RNEventEmitter.swift
//  AwesomeProject3
//
//  Created by Macbook Pro on 11/07/2023.
//


@objc(RNEventEmitter)
open class RNEventEmitter: RCTEventEmitter {

  public static var emitter: RCTEventEmitter!
  

  override init() {
    super.init()
    RNEventEmitter.emitter = self
  }

  open override func supportedEvents() -> [String] {
    ["onReady", "onPending", "onFailure"]      // etc.
  }
}
